Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.disco
Interface UserIdentitiesProvider

All Known Implementing Classes:
  IQPEPHandler

    public interface UserIdentitiesProvider

A `UserIdentitiesProvider` is responsible for providing the identities of protocols supported by users. An example of a user identity is one for PEP (XEP-0163):

When the server starts up, IQDiscoInfoHandler will request to all the services that implement the UserIdentitiesProvider interface for their identities. Whenever a disco request is received IQDiscoInfoHandler will add to the provided information all the collected identities. Therefore, a service must implement this interface in order to offer/publish its identities as part of the user identities.

Author:
  Armando Jagucki

Method Summary
`Iterator<org.dom4j.Element>` | `getIdentities()` Returns an Iterator (of Element) with the supported identities by users.

Method Detail

### getIdentities

    Iterator<org.dom4j.Element> getIdentities()

  Returns an Iterator (of Element) with the supported identities by users. The identities to include are the identities of protocols supported by all registered users on the server. The idea is that different modules may provide their identities that will ultimately be included in the list user identities.

  Returns:
    an Iterator (of Element) with identities of protocols supported by users.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.